Skip to main content
GET
/
api
/
v1
/
sessions
List Sessions Route
curl --request GET \
  --url https://api.example.com/api/v1/sessions
{
  "items": [
    {
      "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "proxy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "call_count": 123,
      "total_request_tokens": 123,
      "total_response_tokens": 123,
      "first_call_at": "2023-11-07T05:31:56Z",
      "last_call_at": "2023-11-07T05:31:56Z",
      "session_name": "<string>",
      "avg_latency_ms": 123
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.xenovia.io/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string | null

Query Parameters

proxy_id
string<uuid> | null
session_name
string | null
limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

items
SessionSummary · object[]
required
total
integer
required
limit
integer
required
offset
integer
required